CREATE TABLE BAMEIORIGIN (
	PRIMARY KEY (KettoNum),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		KettoNum			CHAR(10),
		Bamei				CHAR(36),
		Origin				CHAR(64)
);

CREATE TABLE BANUSI (
	PRIMARY KEY (BanusiCode),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		BanusiCode			CHAR(6),
		BanusiName_Co		CHAR(64),
		BanusiName			CHAR(64),
		BanusiNameKana		CHAR(50),
		BanusiNameEng		CHAR(100),
		Fukusyoku			CHAR(60),
		H_SetYear			CHAR(4),
		H_HonSyokinTotal	CHAR(10),
		H_FukaSyokin		CHAR(10),
		H_ChakuKaisu1		CHAR(6),
		H_ChakuKaisu2		CHAR(6),
		H_ChakuKaisu3		CHAR(6),
		H_ChakuKaisu4		CHAR(6),
		H_ChakuKaisu5		CHAR(6),
		H_ChakuKaisu6		CHAR(6),
		R_SetYear			CHAR(4),
		R_HonSyokinTotal	CHAR(10),
		R_FukaSyokin		CHAR(10),
		R_ChakuKaisu1		CHAR(6),
		R_ChakuKaisu2		CHAR(6),
		R_ChakuKaisu3		CHAR(6),
		R_ChakuKaisu4		CHAR(6),
		R_ChakuKaisu5		CHAR(6),
		R_ChakuKaisu6		CHAR(6)
);

CREATE TABLE BATAIJYU (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		HappyoTime			CHAR(8),
		Umaban1				CHAR(2),
		Bamei1				CHAR(36),
		BaTaijyu1			CHAR(3),
		ZogenFugo1			CHAR(1),
		ZogenSa1			CHAR(3),
		Umaban2				CHAR(2),
		Bamei2				CHAR(36),
		BaTaijyu2			CHAR(3),
		ZogenFugo2			CHAR(1),
		ZogenSa2			CHAR(3),
		Umaban3				CHAR(2),
		Bamei3				CHAR(36),
		BaTaijyu3			CHAR(3),
		ZogenFugo3			CHAR(1),
		ZogenSa3			CHAR(3),
		Umaban4				CHAR(2),
		Bamei4				CHAR(36),
		BaTaijyu4			CHAR(3),
		ZogenFugo4			CHAR(1),
		ZogenSa4			CHAR(3),
		Umaban5				CHAR(2),
		Bamei5				CHAR(36),
		BaTaijyu5			CHAR(3),
		ZogenFugo5			CHAR(1),
		ZogenSa5			CHAR(3),
		Umaban6				CHAR(2),
		Bamei6				CHAR(36),
		BaTaijyu6			CHAR(3),
		ZogenFugo6			CHAR(1),
		ZogenSa6			CHAR(3),
		Umaban7				CHAR(2),
		Bamei7				CHAR(36),
		BaTaijyu7			CHAR(3),
		ZogenFugo7			CHAR(1),
		ZogenSa7			CHAR(3),
		Umaban8				CHAR(2),
		Bamei8				CHAR(36),
		BaTaijyu8			CHAR(3),
		ZogenFugo8			CHAR(1),
		ZogenSa8			CHAR(3),
		Umaban9				CHAR(2),
		Bamei9				CHAR(36),
		BaTaijyu9			CHAR(3),
		ZogenFugo9			CHAR(1),
		ZogenSa9			CHAR(3),
		Umaban10			CHAR(2),
		Bamei10				CHAR(36),
		BaTaijyu10			CHAR(3),
		ZogenFugo10			CHAR(1),
		ZogenSa10			CHAR(3),
		Umaban11			CHAR(2),
		Bamei11				CHAR(36),
		BaTaijyu11			CHAR(3),
		ZogenFugo11			CHAR(1),
		ZogenSa11			CHAR(3),
		Umaban12			CHAR(2),
		Bamei12				CHAR(36),
		BaTaijyu12			CHAR(3),
		ZogenFugo12			CHAR(1),
		ZogenSa12			CHAR(3),
		Umaban13			CHAR(2),
		Bamei13				CHAR(36),
		BaTaijyu13			CHAR(3),
		ZogenFugo13			CHAR(1),
		ZogenSa13			CHAR(3),
		Umaban14			CHAR(2),
		Bamei14				CHAR(36),
		BaTaijyu14			CHAR(3),
		ZogenFugo14			CHAR(1),
		ZogenSa14			CHAR(3),
		Umaban15			CHAR(2),
		Bamei15				CHAR(36),
		BaTaijyu15			CHAR(3),
		ZogenFugo15			CHAR(1),
		ZogenSa15			CHAR(3),
		Umaban16			CHAR(2),
		Bamei16				CHAR(36),
		BaTaijyu16			CHAR(3),
		ZogenFugo16			CHAR(1),
		ZogenSa16			CHAR(3),
		Umaban17			CHAR(2),
		Bamei17				CHAR(36),
		BaTaijyu17			CHAR(3),
		ZogenFugo17			CHAR(1),
		ZogenSa17			CHAR(3),
		Umaban18			CHAR(2),
		Bamei18				CHAR(36),
		BaTaijyu18			CHAR(3),
		ZogenFugo18			CHAR(1),
		ZogenSa18			CHAR(3)
);

CREATE TABLE CHOKYO (
	PRIMARY KEY (ChokyosiCode),
		RecordSpec					CHAR(2),
		DataKubun					CHAR(1),
		MakeDate					CHAR(8),
		ChokyosiCode				CHAR(5),
		DelKubun					CHAR(1),
		IssueDate					CHAR(8),
		DelDate						CHAR(8),
		BirthDate					CHAR(8),
		ChokyosiName				CHAR(34),
		ChokyosiNameKana			CHAR(30),
		ChokyosiRyakusyo			CHAR(8),
		ChokyosiNameEng				CHAR(80),
		SexCD						CHAR(1),
		TozaiCD						CHAR(1),
		Syotai						CHAR(20),
		SaikinJyusyo1SaikinJyusyoid	CHAR(16),
		SaikinJyusyo1Hondai			CHAR(60),
		SaikinJyusyo1Ryakusyo10		CHAR(20),
		SaikinJyusyo1Ryakusyo6		CHAR(12),
		SaikinJyusyo1Ryakusyo3		CHAR(6),
		SaikinJyusyo1GradeCD		CHAR(1),
		SaikinJyusyo1SyussoTosu		CHAR(2),
		SaikinJyusyo1KettoNum		CHAR(10),
		SaikinJyusyo1Bamei			CHAR(36),
		SaikinJyusyo2SaikinJyusyoid	CHAR(16),
		SaikinJyusyo2Hondai			CHAR(60),
		SaikinJyusyo2Ryakusyo10		CHAR(20),
		SaikinJyusyo2Ryakusyo6		CHAR(12),
		SaikinJyusyo2Ryakusyo3		CHAR(6),
		SaikinJyusyo2GradeCD		CHAR(1),
		SaikinJyusyo2SyussoTosu		CHAR(2),
		SaikinJyusyo2KettoNum		CHAR(10),
		SaikinJyusyo2Bamei			CHAR(36),
		SaikinJyusyo3SaikinJyusyoid	CHAR(16),
		SaikinJyusyo3Hondai			CHAR(60),
		SaikinJyusyo3Ryakusyo10		CHAR(20),
		SaikinJyusyo3Ryakusyo6		CHAR(12),
		SaikinJyusyo3Ryakusyo3		CHAR(6),
		SaikinJyusyo3GradeCD		CHAR(1),
		SaikinJyusyo3SyussoTosu		CHAR(2),
		SaikinJyusyo3KettoNum		CHAR(10),
		SaikinJyusyo3Bamei			CHAR(36)
);

CREATE TABLE CHOKYO_SEISEKI (
	PRIMARY KEY (ChokyosiCode,Num),
		MakeDate			CHAR(8),
		ChokyosiCode		CHAR(5),
		Num					CHAR(1),
		SetYear				CHAR(4),
		HonSyokinHeichi		CHAR(10),
		HonSyokinSyogai		CHAR(10),
		FukaSyokinHeichi	CHAR(10),
		FukaSyokinSyogai	CHAR(10),
		HeichiChakukaisu1	CHAR(6),
		HeichiChakukaisu2	CHAR(6),
		HeichiChakukaisu3	CHAR(6),
		HeichiChakukaisu4	CHAR(6),
		HeichiChakukaisu5	CHAR(6),
		HeichiChakukaisu6	CHAR(6),
		SyogaiChakukaisu1	CHAR(6),
		SyogaiChakukaisu2	CHAR(6),
		SyogaiChakukaisu3	CHAR(6),
		SyogaiChakukaisu4	CHAR(6),
		SyogaiChakukaisu5	CHAR(6),
		SyogaiChakukaisu6	CHAR(6),
		Jyo1Chakukaisu1		CHAR(6),
		Jyo1Chakukaisu2		CHAR(6),
		Jyo1Chakukaisu3		CHAR(6),
		Jyo1Chakukaisu4		CHAR(6),
		Jyo1Chakukaisu5		CHAR(6),
		Jyo1Chakukaisu6		CHAR(6),
		Jyo2Chakukaisu1		CHAR(6),
		Jyo2Chakukaisu2		CHAR(6),
		Jyo2Chakukaisu3		CHAR(6),
		Jyo2Chakukaisu4		CHAR(6),
		Jyo2Chakukaisu5		CHAR(6),
		Jyo2Chakukaisu6		CHAR(6),
		Jyo3Chakukaisu1		CHAR(6),
		Jyo3Chakukaisu2		CHAR(6),
		Jyo3Chakukaisu3		CHAR(6),
		Jyo3Chakukaisu4		CHAR(6),
		Jyo3Chakukaisu5		CHAR(6),
		Jyo3Chakukaisu6		CHAR(6),
		Jyo4Chakukaisu1		CHAR(6),
		Jyo4Chakukaisu2		CHAR(6),
		Jyo4Chakukaisu3		CHAR(6),
		Jyo4Chakukaisu4		CHAR(6),
		Jyo4Chakukaisu5		CHAR(6),
		Jyo4Chakukaisu6		CHAR(6),
		Jyo5Chakukaisu1		CHAR(6),
		Jyo5Chakukaisu2		CHAR(6),
		Jyo5Chakukaisu3		CHAR(6),
		Jyo5Chakukaisu4		CHAR(6),
		Jyo5Chakukaisu5		CHAR(6),
		Jyo5Chakukaisu6		CHAR(6),
		Jyo6Chakukaisu1		CHAR(6),
		Jyo6Chakukaisu2		CHAR(6),
		Jyo6Chakukaisu3		CHAR(6),
		Jyo6Chakukaisu4		CHAR(6),
		Jyo6Chakukaisu5		CHAR(6),
		Jyo6Chakukaisu6		CHAR(6),
		Jyo7Chakukaisu1		CHAR(6),
		Jyo7Chakukaisu2		CHAR(6),
		Jyo7Chakukaisu3		CHAR(6),
		Jyo7Chakukaisu4		CHAR(6),
		Jyo7Chakukaisu5		CHAR(6),
		Jyo7Chakukaisu6		CHAR(6),
		Jyo8Chakukaisu1		CHAR(6),
		Jyo8Chakukaisu2		CHAR(6),
		Jyo8Chakukaisu3		CHAR(6),
		Jyo8Chakukaisu4		CHAR(6),
		Jyo8Chakukaisu5		CHAR(6),
		Jyo8Chakukaisu6		CHAR(6),
		Jyo9Chakukaisu1		CHAR(6),
		Jyo9Chakukaisu2		CHAR(6),
		Jyo9Chakukaisu3		CHAR(6),
		Jyo9Chakukaisu4		CHAR(6),
		Jyo9Chakukaisu5		CHAR(6),
		Jyo9Chakukaisu6		CHAR(6),
		Jyo10Chakukaisu1	CHAR(6),
		Jyo10Chakukaisu2	CHAR(6),
		Jyo10Chakukaisu3	CHAR(6),
		Jyo10Chakukaisu4	CHAR(6),
		Jyo10Chakukaisu5	CHAR(6),
		Jyo10Chakukaisu6	CHAR(6),
		Jyo11Chakukaisu1	CHAR(6),
		Jyo11Chakukaisu2	CHAR(6),
		Jyo11Chakukaisu3	CHAR(6),
		Jyo11Chakukaisu4	CHAR(6),
		Jyo11Chakukaisu5	CHAR(6),
		Jyo11Chakukaisu6	CHAR(6),
		Jyo12Chakukaisu1	CHAR(6),
		Jyo12Chakukaisu2	CHAR(6),
		Jyo12Chakukaisu3	CHAR(6),
		Jyo12Chakukaisu4	CHAR(6),
		Jyo12Chakukaisu5	CHAR(6),
		Jyo12Chakukaisu6	CHAR(6),
		Jyo13Chakukaisu1	CHAR(6),
		Jyo13Chakukaisu2	CHAR(6),
		Jyo13Chakukaisu3	CHAR(6),
		Jyo13Chakukaisu4	CHAR(6),
		Jyo13Chakukaisu5	CHAR(6),
		Jyo13Chakukaisu6	CHAR(6),
		Jyo14Chakukaisu1	CHAR(6),
		Jyo14Chakukaisu2	CHAR(6),
		Jyo14Chakukaisu3	CHAR(6),
		Jyo14Chakukaisu4	CHAR(6),
		Jyo14Chakukaisu5	CHAR(6),
		Jyo14Chakukaisu6	CHAR(6),
		Jyo15Chakukaisu1	CHAR(6),
		Jyo15Chakukaisu2	CHAR(6),
		Jyo15Chakukaisu3	CHAR(6),
		Jyo15Chakukaisu4	CHAR(6),
		Jyo15Chakukaisu5	CHAR(6),
		Jyo15Chakukaisu6	CHAR(6),
		Jyo16Chakukaisu1	CHAR(6),
		Jyo16Chakukaisu2	CHAR(6),
		Jyo16Chakukaisu3	CHAR(6),
		Jyo16Chakukaisu4	CHAR(6),
		Jyo16Chakukaisu5	CHAR(6),
		Jyo16Chakukaisu6	CHAR(6),
		Jyo17Chakukaisu1	CHAR(6),
		Jyo17Chakukaisu2	CHAR(6),
		Jyo17Chakukaisu3	CHAR(6),
		Jyo17Chakukaisu4	CHAR(6),
		Jyo17Chakukaisu5	CHAR(6),
		Jyo17Chakukaisu6	CHAR(6),
		Jyo18Chakukaisu1	CHAR(6),
		Jyo18Chakukaisu2	CHAR(6),
		Jyo18Chakukaisu3	CHAR(6),
		Jyo18Chakukaisu4	CHAR(6),
		Jyo18Chakukaisu5	CHAR(6),
		Jyo18Chakukaisu6	CHAR(6),
		Jyo19Chakukaisu1	CHAR(6),
		Jyo19Chakukaisu2	CHAR(6),
		Jyo19Chakukaisu3	CHAR(6),
		Jyo19Chakukaisu4	CHAR(6),
		Jyo19Chakukaisu5	CHAR(6),
		Jyo19Chakukaisu6	CHAR(6),
		Jyo20Chakukaisu1	CHAR(6),
		Jyo20Chakukaisu2	CHAR(6),
		Jyo20Chakukaisu3	CHAR(6),
		Jyo20Chakukaisu4	CHAR(6),
		Jyo20Chakukaisu5	CHAR(6),
		Jyo20Chakukaisu6	CHAR(6),
		Kyori1Chakukaisu1	CHAR(6),
		Kyori1Chakukaisu2	CHAR(6),
		Kyori1Chakukaisu3	CHAR(6),
		Kyori1Chakukaisu4	CHAR(6),
		Kyori1Chakukaisu5	CHAR(6),
		Kyori1Chakukaisu6	CHAR(6),
		Kyori2Chakukaisu1	CHAR(6),
		Kyori2Chakukaisu2	CHAR(6),
		Kyori2Chakukaisu3	CHAR(6),
		Kyori2Chakukaisu4	CHAR(6),
		Kyori2Chakukaisu5	CHAR(6),
		Kyori2Chakukaisu6	CHAR(6),
		Kyori3Chakukaisu1	CHAR(6),
		Kyori3Chakukaisu2	CHAR(6),
		Kyori3Chakukaisu3	CHAR(6),
		Kyori3Chakukaisu4	CHAR(6),
		Kyori3Chakukaisu5	CHAR(6),
		Kyori3Chakukaisu6	CHAR(6),
		Kyori4Chakukaisu1	CHAR(6),
		Kyori4Chakukaisu2	CHAR(6),
		Kyori4Chakukaisu3	CHAR(6),
		Kyori4Chakukaisu4	CHAR(6),
		Kyori4Chakukaisu5	CHAR(6),
		Kyori4Chakukaisu6	CHAR(6),
		Kyori5Chakukaisu1	CHAR(6),
		Kyori5Chakukaisu2	CHAR(6),
		Kyori5Chakukaisu3	CHAR(6),
		Kyori5Chakukaisu4	CHAR(6),
		Kyori5Chakukaisu5	CHAR(6),
		Kyori5Chakukaisu6	CHAR(6),
		Kyori6Chakukaisu1	CHAR(6),
		Kyori6Chakukaisu2	CHAR(6),
		Kyori6Chakukaisu3	CHAR(6),
		Kyori6Chakukaisu4	CHAR(6),
		Kyori6Chakukaisu5	CHAR(6),
		Kyori6Chakukaisu6	CHAR(6)
);

CREATE TABLE CODE_TABLE (
	PRIMARY KEY (Code,Val),
		Code				CHAR(4),
		Val					CHAR(3),
		Name1				CHAR(255),
		Name2				CHAR(255),
		Name3				CHAR(255),
		Name4				CHAR(255),
		Name5				CHAR(255),
		Name6				CHAR(255)
);

CREATE TABLE COURSE (
	PRIMARY KEY (JyoCD,Kyori,TrackCD,KaishuDate),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		JyoCD				CHAR(2),
		Kyori				CHAR(4),
		TrackCD				CHAR(2),
		KaishuDate			CHAR(8),
		CourseEX			VARCHAR(6828)
);

CREATE TABLE COURSE_CHANGE (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum,HappyoTime),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		HappyoTime			CHAR(8),
		AtoKyori			CHAR(4),
		AtoTruckCD			CHAR(2),
		MaeKyori			CHAR(4),
		MaeTruckCD			CHAR(2),
		JiyuCD				CHAR(1)
);

CREATE TABLE HANRO (
	PRIMARY KEY (TresenKubun,ChokyoDate,ChokyoTime,KettoNum),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		TresenKubun			CHAR(1),
		ChokyoDate			CHAR(8),
		ChokyoTime			CHAR(4),
		KettoNum			CHAR(10),
		HaronTime4			CHAR(4),
		LapTime4			CHAR(3),
		HaronTime3			CHAR(4),
		LapTime3			CHAR(3),
		HaronTime2			CHAR(4),
		LapTime2			CHAR(3),
		LapTime1			CHAR(3)
);

CREATE TABLE HANSYOKU (
	PRIMARY KEY (HansyokuNum),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		HansyokuNum			CHAR(8),
		reserved			CHAR(8),
		KettoNum			CHAR(10),
		DelKubun			CHAR(1),
		Bamei				CHAR(36),
		BameiKana			CHAR(40),
		BameiEng			CHAR(80),
		BirthYear			CHAR(4),
		SexCD				CHAR(1),
		HinsyuCD			CHAR(1),
		KeiroCD				CHAR(2),
		HansyokuMochiKubun	CHAR(1),
		ImportYear			CHAR(4),
		SanchiName			CHAR(20),
		HansyokuFNum		CHAR(8),
		HansyokuMNum		CHAR(8)
);

CREATE TABLE HARAI (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		TorokuTosu			CHAR(2),
		SyussoTosu			CHAR(2),
		FuseirituFlag1		CHAR(1),
		FuseirituFlag2		CHAR(1),
		FuseirituFlag3		CHAR(1),
		FuseirituFlag4		CHAR(1),
		FuseirituFlag5		CHAR(1),
		FuseirituFlag6		CHAR(1),
		FuseirituFlag7		CHAR(1),
		FuseirituFlag8		CHAR(1),
		FuseirituFlag9		CHAR(1),
		TokubaraiFlag1		CHAR(1),
		TokubaraiFlag2		CHAR(1),
		TokubaraiFlag3		CHAR(1),
		TokubaraiFlag4		CHAR(1),
		TokubaraiFlag5		CHAR(1),
		TokubaraiFlag6		CHAR(1),
		TokubaraiFlag7		CHAR(1),
		TokubaraiFlag8		CHAR(1),
		TokubaraiFlag9		CHAR(1),
		HenkanFlag1			CHAR(1),
		HenkanFlag2			CHAR(1),
		HenkanFlag3			CHAR(1),
		HenkanFlag4			CHAR(1),
		HenkanFlag5			CHAR(1),
		HenkanFlag6			CHAR(1),
		HenkanFlag7			CHAR(1),
		HenkanFlag8			CHAR(1),
		HenkanFlag9			CHAR(1),
		HenkanUma1			CHAR(1),
		HenkanUma2			CHAR(1),
		HenkanUma3			CHAR(1),
		HenkanUma4			CHAR(1),
		HenkanUma5			CHAR(1),
		HenkanUma6			CHAR(1),
		HenkanUma7			CHAR(1),
		HenkanUma8			CHAR(1),
		HenkanUma9			CHAR(1),
		HenkanUma10			CHAR(1),
		HenkanUma11			CHAR(1),
		HenkanUma12			CHAR(1),
		HenkanUma13			CHAR(1),
		HenkanUma14			CHAR(1),
		HenkanUma15			CHAR(1),
		HenkanUma16			CHAR(1),
		HenkanUma17			CHAR(1),
		HenkanUma18			CHAR(1),
		HenkanUma19			CHAR(1),
		HenkanUma20			CHAR(1),
		HenkanUma21			CHAR(1),
		HenkanUma22			CHAR(1),
		HenkanUma23			CHAR(1),
		HenkanUma24			CHAR(1),
		HenkanUma25			CHAR(1),
		HenkanUma26			CHAR(1),
		HenkanUma27			CHAR(1),
		HenkanUma28			CHAR(1),
		HenkanWaku1			CHAR(1),
		HenkanWaku2			CHAR(1),
		HenkanWaku3			CHAR(1),
		HenkanWaku4			CHAR(1),
		HenkanWaku5			CHAR(1),
		HenkanWaku6			CHAR(1),
		HenkanWaku7			CHAR(1),
		HenkanWaku8			CHAR(1),
		HenkanDoWaku1		CHAR(1),
		HenkanDoWaku2		CHAR(1),
		HenkanDoWaku3		CHAR(1),
		HenkanDoWaku4		CHAR(1),
		HenkanDoWaku5		CHAR(1),
		HenkanDoWaku6		CHAR(1),
		HenkanDoWaku7		CHAR(1),
		HenkanDoWaku8		CHAR(1),
		PayTansyoUmaban1	CHAR(2),
		PayTansyoPay1		CHAR(9),
		PayTansyoNinki1		CHAR(2),
		PayTansyoUmaban2	CHAR(2),
		PayTansyoPay2		CHAR(9),
		PayTansyoNinki2		CHAR(2),
		PayTansyoUmaban3	CHAR(2),
		PayTansyoPay3		CHAR(9),
		PayTansyoNinki3		CHAR(2),
		PayFukusyoUmaban1	CHAR(2),
		PayFukusyoPay1		CHAR(9),
		PayFukusyoNinki1	CHAR(2),
		PayFukusyoUmaban2	CHAR(2),
		PayFukusyoPay2		CHAR(9),
		PayFukusyoNinki2	CHAR(2),
		PayFukusyoUmaban3	CHAR(2),
		PayFukusyoPay3		CHAR(9),
		PayFukusyoNinki3	CHAR(2),
		PayFukusyoUmaban4	CHAR(2),
		PayFukusyoPay4		CHAR(9),
		PayFukusyoNinki4	CHAR(2),
		PayFukusyoUmaban5	CHAR(2),
		PayFukusyoPay5		CHAR(9),
		PayFukusyoNinki5	CHAR(2),
		PayWakurenKumi1		CHAR(2),
		PayWakurenPay1		CHAR(9),
		PayWakurenNinki1	CHAR(2),
		PayWakurenKumi2		CHAR(2),
		PayWakurenPay2		CHAR(9),
		PayWakurenNinki2	CHAR(2),
		PayWakurenKumi3		CHAR(2),
		PayWakurenPay3		CHAR(9),
		PayWakurenNinki3	CHAR(2),
		PayUmarenKumi1		CHAR(4),
		PayUmarenPay1		CHAR(9),
		PayUmarenNinki1		CHAR(3),
		PayUmarenKumi2		CHAR(4),
		PayUmarenPay2		CHAR(9),
		PayUmarenNinki2		CHAR(3),
		PayUmarenKumi3		CHAR(4),
		PayUmarenPay3		CHAR(9),
		PayUmarenNinki3		CHAR(3),
		PayWideKumi1		CHAR(4),
		PayWidePay1			CHAR(9),
		PayWideNinki1		CHAR(3),
		PayWideKumi2		CHAR(4),
		PayWidePay2			CHAR(9),
		PayWideNinki2		CHAR(3),
		PayWideKumi3		CHAR(4),
		PayWidePay3			CHAR(9),
		PayWideNinki3		CHAR(3),
		PayWideKumi4		CHAR(4),
		PayWidePay4			CHAR(9),
		PayWideNinki4		CHAR(3),
		PayWideKumi5		CHAR(4),
		PayWidePay5			CHAR(9),
		PayWideNinki5		CHAR(3),
		PayWideKumi6		CHAR(4),
		PayWidePay6			CHAR(9),
		PayWideNinki6		CHAR(3),
		PayWideKumi7		CHAR(4),
		PayWidePay7			CHAR(9),
		PayWideNinki7		CHAR(3),
		PayReserved1Kumi1	CHAR(4),
		PayReserved1Pay1	CHAR(9),
		PayReserved1Ninki1	CHAR(3),
		PayReserved1Kumi2	CHAR(4),
		PayReserved1Pay2	CHAR(9),
		PayReserved1Ninki2	CHAR(3),
		PayReserved1Kumi3	CHAR(4),
		PayReserved1Pay3	CHAR(9),
		PayReserved1Ninki3	CHAR(3),
		PayUmatanKumi1		CHAR(4),
		PayUmatanPay1		CHAR(9),
		PayUmatanNinki1		CHAR(3),
		PayUmatanKumi2		CHAR(4),
		PayUmatanPay2		CHAR(9),
		PayUmatanNinki2		CHAR(3),
		PayUmatanKumi3		CHAR(4),
		PayUmatanPay3		CHAR(9),
		PayUmatanNinki3		CHAR(3),
		PayUmatanKumi4		CHAR(4),
		PayUmatanPay4		CHAR(9),
		PayUmatanNinki4		CHAR(3),
		PayUmatanKumi5		CHAR(4),
		PayUmatanPay5		CHAR(9),
		PayUmatanNinki5		CHAR(3),
		PayUmatanKumi6		CHAR(4),
		PayUmatanPay6		CHAR(9),
		PayUmatanNinki6		CHAR(3),
		PaySanrenpukuKumi1	CHAR(6),
		PaySanrenpukuPay1	CHAR(9),
		PaySanrenpukuNinki1	CHAR(3),
		PaySanrenpukuKumi2	CHAR(6),
		PaySanrenpukuPay2	CHAR(9),
		PaySanrenpukuNinki2	CHAR(3),
		PaySanrenpukuKumi3	CHAR(6),
		PaySanrenpukuPay3	CHAR(9),
		PaySanrenpukuNinki3	CHAR(3),
		PaySanrentanKumi1	CHAR(6),
		PaySanrentanPay1	CHAR(9),
		PaySanrentanNinki1	CHAR(4),
		PaySanrentanKumi2	CHAR(6),
		PaySanrentanPay2	CHAR(9),
		PaySanrentanNinki2	CHAR(4),
		PaySanrentanKumi3	CHAR(6),
		PaySanrentanPay3	CHAR(9),
		PaySanrentanNinki3	CHAR(4),
		PaySanrentanKumi4	CHAR(6),
		PaySanrentanPay4	CHAR(9),
		PaySanrentanNinki4	CHAR(4),
		PaySanrentanKumi5	CHAR(6),
		PaySanrentanPay5	CHAR(9),
		PaySanrentanNinki5	CHAR(4),
		PaySanrentanKumi6	CHAR(6),
		PaySanrentanPay6	CHAR(9),
		PaySanrentanNinki6	CHAR(4)
);

CREATE TABLE HASSOU_JIKOKU_CHANGE (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum,HappyoTime),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		HappyoTime			CHAR(8),
		AtoJi				CHAR(2),
		AtoFun				CHAR(2),
		MaeJi				CHAR(2),
		MaeFun				CHAR(2)
);

CREATE TABLE HYOSU2 (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		TorokuTosu			CHAR(2),
		SyussoTosu			CHAR(2),
		HatubaiFlag1		CHAR(1),
		HenkanUma1			CHAR(1),
		HenkanUma2			CHAR(1),
		HenkanUma3			CHAR(1),
		HenkanUma4			CHAR(1),
		HenkanUma5			CHAR(1),
		HenkanUma6			CHAR(1),
		HenkanUma7			CHAR(1),
		HenkanUma8			CHAR(1),
		HenkanUma9			CHAR(1),
		HenkanUma10			CHAR(1),
		HenkanUma11			CHAR(1),
		HenkanUma12			CHAR(1),
		HenkanUma13			CHAR(1),
		HenkanUma14			CHAR(1),
		HenkanUma15			CHAR(1),
		HenkanUma16			CHAR(1),
		HenkanUma17			CHAR(1),
		HenkanUma18			CHAR(1),
		HyoTotal1			CHAR(11),
		HyoTotal2			CHAR(11)
);

CREATE TABLE HYOSU (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum),
		RecordSpec			CHAR(2),
		DataKubun           CHAR(1),
		MakeDate            CHAR(8),
		Year                CHAR(4),
		MonthDay            CHAR(4),
		JyoCD               CHAR(2),
		Kaiji               CHAR(2),
		Nichiji             CHAR(2),
		RaceNum             CHAR(2),
		TorokuTosu          CHAR(2),
		SyussoTosu          CHAR(2),
		HatubaiFlag1        CHAR(1),
		HatubaiFlag2        CHAR(1),
		HatubaiFlag3        CHAR(1),
		HatubaiFlag4        CHAR(1),
		HatubaiFlag5        CHAR(1),
		HatubaiFlag6        CHAR(1),
		HatubaiFlag7        CHAR(1),
		FukuChakuBaraiKey   CHAR(1),
		HenkanUma1          CHAR(1),
		HenkanUma2          CHAR(1),
		HenkanUma3          CHAR(1),
		HenkanUma4          CHAR(1),
		HenkanUma5          CHAR(1),
		HenkanUma6          CHAR(1),
		HenkanUma7          CHAR(1),
		HenkanUma8          CHAR(1),
		HenkanUma9          CHAR(1),
		HenkanUma10         CHAR(1),
		HenkanUma11         CHAR(1),
		HenkanUma12         CHAR(1),
		HenkanUma13         CHAR(1),
		HenkanUma14         CHAR(1),
		HenkanUma15         CHAR(1),
		HenkanUma16         CHAR(1),
		HenkanUma17         CHAR(1),
		HenkanUma18         CHAR(1),
		HenkanUma19         CHAR(1),
		HenkanUma20         CHAR(1),
		HenkanUma21         CHAR(1),
		HenkanUma22         CHAR(1),
		HenkanUma23         CHAR(1),
		HenkanUma24         CHAR(1),
		HenkanUma25         CHAR(1),
		HenkanUma26         CHAR(1),
		HenkanUma27         CHAR(1),
		HenkanUma28         CHAR(1),
		HenkanWaku1         CHAR(1),
		HenkanWaku2         CHAR(1),
		HenkanWaku3         CHAR(1),
		HenkanWaku4         CHAR(1),
		HenkanWaku5         CHAR(1),
		HenkanWaku6         CHAR(1),
		HenkanWaku7         CHAR(1),
		HenkanWaku8         CHAR(1),
		HenkanDoWaku1       CHAR(1),
		HenkanDoWaku2       CHAR(1),
		HenkanDoWaku3       CHAR(1),
		HenkanDoWaku4       CHAR(1),
		HenkanDoWaku5       CHAR(1),
		HenkanDoWaku6       CHAR(1),
		HenkanDoWaku7       CHAR(1),
		HenkanDoWaku8       CHAR(1),
		HyoTotal1           CHAR(11),
		HyoTotal2           CHAR(11),
		HyoTotal3           CHAR(11),
		HyoTotal4           CHAR(11),
		HyoTotal5           CHAR(11),
		HyoTotal6           CHAR(11),
		HyoTotal7           CHAR(11),
		HyoTotal8           CHAR(11),
		HyoTotal9           CHAR(11),
		HyoTotal10          CHAR(11),
		HyoTotal11          CHAR(11),
		HyoTotal12          CHAR(11),
		HyoTotal13          CHAR(11),
		HyoTotal14          CHAR(11)
);

CREATE TABLE HYOSU_SANREN (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum,Kumi),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		Kumi				CHAR(6),
		Hyo					CHAR(11),
		Ninki				CHAR(3)
);

CREATE TABLE HYOSU_SANRENTAN (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum,Kumi),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		Kumi				CHAR(6),
		Hyo					CHAR(11),
		Ninki				CHAR(4)
);

CREATE TABLE HYOSU_TANPUKU (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum,Umaban),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		Umaban				CHAR(2),
		TanHyo				CHAR(11),
		TanNinki			CHAR(2),
		FukuHyo				CHAR(11),
		FukuNinki			CHAR(2)
);

CREATE TABLE HYOSU_UMARENWIDE (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum,Kumi),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		Kumi				CHAR(4),
		UmarenHyo			CHAR(11),
		UmarenNinki			CHAR(3),
		WideHyo				CHAR(11),
		WideNinki			CHAR(3)
);

CREATE TABLE HYOSU_UMATAN (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum,Kumi),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		Kumi				CHAR(4),
		Hyo					CHAR(11),
		Ninki				CHAR(3)
);

CREATE TABLE HYOSU_WAKU (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum,Kumi),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		Kumi				CHAR(2),
		Hyo					CHAR(11),
		Ninki				CHAR(2)
);

CREATE TABLE JOGAIBA (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum,KettoNum,ShutsubaTohyoJun),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		KettoNum			CHAR(10),
		Bamei				CHAR(36),
		ShutsubaTohyoJun	CHAR(3),
		ShussoKubun			CHAR(1),
		JogaiJotaiKubun	CHAR(1)
);

CREATE TABLE JYUSYOSIKI (
	PRIMARY KEY (Year,MonthDay,Kumi),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		Kumi				CHAR(10),
		PayJyushosiki		CHAR(9),
		TekichuHyo			CHAR(10)
);

CREATE TABLE JYUSYOSIKI_HEAD (
	PRIMARY KEY (Year,MonthDay),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		reserved1			CHAR(2),
		JyoCD1				CHAR(2),
		Kaiji1				CHAR(2),
		Nichiji1			CHAR(2),
		RaceNum1			CHAR(2),
		JyoCD2				CHAR(2),
		Kaiji2				CHAR(2),
		Nichiji2			CHAR(2),
		RaceNum2			CHAR(2),
		JyoCD3				CHAR(2),
		Kaiji3				CHAR(2),
		Nichiji3			CHAR(2),
		RaceNum3			CHAR(2),
		JyoCD4				CHAR(2),
		Kaiji4				CHAR(2),
		Nichiji4			CHAR(2),
		RaceNum4			CHAR(2),
		JyoCD5				CHAR(2),
		Kaiji5				CHAR(2),
		Nichiji5			CHAR(2),
		RaceNum5			CHAR(2),
		reserved2			CHAR(6),
		YukoHyosu1			CHAR(11),
		YukoHyosu2			CHAR(11),
		YukoHyosu3			CHAR(11),
		YukoHyosu4			CHAR(11),
		YukoHyosu5			CHAR(11),
		HenkanFlag			CHAR(1),
		FuseirituFlag		CHAR(1),
		TekichunashiFlag	CHAR(1),
		CarryoverSyoki		CHAR(15),
		CarryoverZandaka	CHAR(15)
);

CREATE TABLE KEITO (
	PRIMARY KEY (HansyokuNum),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		HansyokuNum			CHAR(8),
		KeitoId				CHAR(30),
		KeitoName			CHAR(36),
		KeitoEx				VARCHAR(6886)
);

CREATE TABLE KISYU (
	PRIMARY KEY (KisyuCode),
		RecordSpec					CHAR(2),
		DataKubun					CHAR(1),
		MakeDate					CHAR(8),
		KisyuCode					CHAR(5),
		DelKubun					CHAR(1),
		IssueDate					CHAR(8),
		DelDate						CHAR(8),
		BirthDate					CHAR(8),
		KisyuName					CHAR(34),
		reserved					CHAR(34),
		KisyuNameKana				CHAR(30),
		KisyuRyakusyo				CHAR(8),
		KisyuNameEng				CHAR(80),
		SexCD						CHAR(1),
		SikakuCD					CHAR(1),
		MinaraiCD					CHAR(1),
		TozaiCD						CHAR(1),
		Syotai						CHAR(20),
		ChokyosiCode				CHAR(5),
		ChokyosiRyakusyo			CHAR(8),
		HatuKiJyo1Hatukijyoid		CHAR(16),
		HatuKiJyo1SyussoTosu		CHAR(2),
		HatuKiJyo1KettoNum			CHAR(10),
		HatuKiJyo1Bamei				CHAR(36),
		HatuKiJyo1KakuteiJyuni		CHAR(2),
		HatuKiJyo1IJyoCD			CHAR(1),
		HatuKiJyo2Hatukijyoid		CHAR(16),
		HatuKiJyo2SyussoTosu		CHAR(2),
		HatuKiJyo2KettoNum			CHAR(10),
		HatuKiJyo2Bamei				CHAR(36),
		HatuKiJyo2KakuteiJyuni		CHAR(2),
		HatuKiJyo2IJyoCD			CHAR(1),
		HatuSyori1Hatusyoriid		CHAR(16),
		HatuSyori1SyussoTosu		CHAR(2),
		HatuSyori1KettoNum			CHAR(10),
		HatuSyori1Bamei				CHAR(36),
		HatuSyori2Hatusyoriid		CHAR(16),
		HatuSyori2SyussoTosu		CHAR(2),
		HatuSyori2KettoNum			CHAR(10),
		HatuSyori2Bamei				CHAR(36),
		SaikinJyusyo1SaikinJyusyoid	CHAR(16),
		SaikinJyusyo1Hondai			CHAR(60),
		SaikinJyusyo1Ryakusyo10		CHAR(20),
		SaikinJyusyo1Ryakusyo6		CHAR(12),
		SaikinJyusyo1Ryakusyo3		CHAR(6),
		SaikinJyusyo1GradeCD		CHAR(1),
		SaikinJyusyo1SyussoTosu		CHAR(2),
		SaikinJyusyo1KettoNum		CHAR(10),
		SaikinJyusyo1Bamei			CHAR(36),
		SaikinJyusyo2SaikinJyusyoid	CHAR(16),
		SaikinJyusyo2Hondai			CHAR(60),
		SaikinJyusyo2Ryakusyo10		CHAR(20),
		SaikinJyusyo2Ryakusyo6		CHAR(12),
		SaikinJyusyo2Ryakusyo3		CHAR(6),
		SaikinJyusyo2GradeCD		CHAR(1),
		SaikinJyusyo2SyussoTosu		CHAR(2),
		SaikinJyusyo2KettoNum		CHAR(10),
		SaikinJyusyo2Bamei			CHAR(36),
		SaikinJyusyo3SaikinJyusyoid	CHAR(16),
		SaikinJyusyo3Hondai			CHAR(60),
		SaikinJyusyo3Ryakusyo10		CHAR(20),
		SaikinJyusyo3Ryakusyo6		CHAR(12),
		SaikinJyusyo3Ryakusyo3		CHAR(6),
		SaikinJyusyo3GradeCD		CHAR(1),
		SaikinJyusyo3SyussoTosu		CHAR(2),
		SaikinJyusyo3KettoNum		CHAR(10),
		SaikinJyusyo3Bamei			CHAR(36)
);

CREATE TABLE KISYU_CHANGE (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum,HappyoTime,Umaban),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		HappyoTime			CHAR(8),
		Umaban				CHAR(2),
		Bamei				CHAR(36),
		AtoFutan			CHAR(3),
		AtoKisyuCode		CHAR(5),
		AtoKisyuName		CHAR(34),
		AtoMinaraiCD		CHAR(1),
		MaeFutan			CHAR(3),
		MaeKisyuCode		CHAR(5),
		MaeKisyuName		CHAR(34),
		MaeMinaraiCD		CHAR(1)
);

CREATE TABLE KISYU_SEISEKI (
	PRIMARY KEY (KisyuCode,Num),
		MakeDate			CHAR(8),
		KisyuCode			CHAR(5),
		Num					CHAR(1),
		SetYear				CHAR(4),
		HonSyokinHeichi		CHAR(10),
		HonSyokinSyogai		CHAR(10),
		FukaSyokinHeichi	CHAR(10),
		FukaSyokinSyogai	CHAR(10),
		HeichiChakukaisu1	CHAR(6),
		HeichiChakukaisu2	CHAR(6),
		HeichiChakukaisu3	CHAR(6),
		HeichiChakukaisu4	CHAR(6),
		HeichiChakukaisu5	CHAR(6),
		HeichiChakukaisu6	CHAR(6),
		SyogaiChakukaisu1	CHAR(6),
		SyogaiChakukaisu2	CHAR(6),
		SyogaiChakukaisu3	CHAR(6),
		SyogaiChakukaisu4	CHAR(6),
		SyogaiChakukaisu5	CHAR(6),
		SyogaiChakukaisu6	CHAR(6),
		Jyo1Chakukaisu1		CHAR(6),
		Jyo1Chakukaisu2		CHAR(6),
		Jyo1Chakukaisu3		CHAR(6),
		Jyo1Chakukaisu4		CHAR(6),
		Jyo1Chakukaisu5		CHAR(6),
		Jyo1Chakukaisu6		CHAR(6),
		Jyo2Chakukaisu1		CHAR(6),
		Jyo2Chakukaisu2		CHAR(6),
		Jyo2Chakukaisu3		CHAR(6),
		Jyo2Chakukaisu4		CHAR(6),
		Jyo2Chakukaisu5		CHAR(6),
		Jyo2Chakukaisu6		CHAR(6),
		Jyo3Chakukaisu1		CHAR(6),
		Jyo3Chakukaisu2		CHAR(6),
		Jyo3Chakukaisu3		CHAR(6),
		Jyo3Chakukaisu4		CHAR(6),
		Jyo3Chakukaisu5		CHAR(6),
		Jyo3Chakukaisu6		CHAR(6),
		Jyo4Chakukaisu1		CHAR(6),
		Jyo4Chakukaisu2		CHAR(6),
		Jyo4Chakukaisu3		CHAR(6),
		Jyo4Chakukaisu4		CHAR(6),
		Jyo4Chakukaisu5		CHAR(6),
		Jyo4Chakukaisu6		CHAR(6),
		Jyo5Chakukaisu1		CHAR(6),
		Jyo5Chakukaisu2		CHAR(6),
		Jyo5Chakukaisu3		CHAR(6),
		Jyo5Chakukaisu4		CHAR(6),
		Jyo5Chakukaisu5		CHAR(6),
		Jyo5Chakukaisu6		CHAR(6),
		Jyo6Chakukaisu1		CHAR(6),
		Jyo6Chakukaisu2		CHAR(6),
		Jyo6Chakukaisu3		CHAR(6),
		Jyo6Chakukaisu4		CHAR(6),
		Jyo6Chakukaisu5		CHAR(6),
		Jyo6Chakukaisu6		CHAR(6),
		Jyo7Chakukaisu1		CHAR(6),
		Jyo7Chakukaisu2		CHAR(6),
		Jyo7Chakukaisu3		CHAR(6),
		Jyo7Chakukaisu4		CHAR(6),
		Jyo7Chakukaisu5		CHAR(6),
		Jyo7Chakukaisu6		CHAR(6),
		Jyo8Chakukaisu1		CHAR(6),
		Jyo8Chakukaisu2		CHAR(6),
		Jyo8Chakukaisu3		CHAR(6),
		Jyo8Chakukaisu4		CHAR(6),
		Jyo8Chakukaisu5		CHAR(6),
		Jyo8Chakukaisu6		CHAR(6),
		Jyo9Chakukaisu1		CHAR(6),
		Jyo9Chakukaisu2		CHAR(6),
		Jyo9Chakukaisu3		CHAR(6),
		Jyo9Chakukaisu4		CHAR(6),
		Jyo9Chakukaisu5		CHAR(6),
		Jyo9Chakukaisu6		CHAR(6),
		Jyo10Chakukaisu1	CHAR(6),
		Jyo10Chakukaisu2	CHAR(6),
		Jyo10Chakukaisu3	CHAR(6),
		Jyo10Chakukaisu4	CHAR(6),
		Jyo10Chakukaisu5	CHAR(6),
		Jyo10Chakukaisu6	CHAR(6),
		Jyo11Chakukaisu1	CHAR(6),
		Jyo11Chakukaisu2	CHAR(6),
		Jyo11Chakukaisu3	CHAR(6),
		Jyo11Chakukaisu4	CHAR(6),
		Jyo11Chakukaisu5	CHAR(6),
		Jyo11Chakukaisu6	CHAR(6),
		Jyo12Chakukaisu1	CHAR(6),
		Jyo12Chakukaisu2	CHAR(6),
		Jyo12Chakukaisu3	CHAR(6),
		Jyo12Chakukaisu4	CHAR(6),
		Jyo12Chakukaisu5	CHAR(6),
		Jyo12Chakukaisu6	CHAR(6),
		Jyo13Chakukaisu1	CHAR(6),
		Jyo13Chakukaisu2	CHAR(6),
		Jyo13Chakukaisu3	CHAR(6),
		Jyo13Chakukaisu4	CHAR(6),
		Jyo13Chakukaisu5	CHAR(6),
		Jyo13Chakukaisu6	CHAR(6),
		Jyo14Chakukaisu1	CHAR(6),
		Jyo14Chakukaisu2	CHAR(6),
		Jyo14Chakukaisu3	CHAR(6),
		Jyo14Chakukaisu4	CHAR(6),
		Jyo14Chakukaisu5	CHAR(6),
		Jyo14Chakukaisu6	CHAR(6),
		Jyo15Chakukaisu1	CHAR(6),
		Jyo15Chakukaisu2	CHAR(6),
		Jyo15Chakukaisu3	CHAR(6),
		Jyo15Chakukaisu4	CHAR(6),
		Jyo15Chakukaisu5	CHAR(6),
		Jyo15Chakukaisu6	CHAR(6),
		Jyo16Chakukaisu1	CHAR(6),
		Jyo16Chakukaisu2	CHAR(6),
		Jyo16Chakukaisu3	CHAR(6),
		Jyo16Chakukaisu4	CHAR(6),
		Jyo16Chakukaisu5	CHAR(6),
		Jyo16Chakukaisu6	CHAR(6),
		Jyo17Chakukaisu1	CHAR(6),
		Jyo17Chakukaisu2	CHAR(6),
		Jyo17Chakukaisu3	CHAR(6),
		Jyo17Chakukaisu4	CHAR(6),
		Jyo17Chakukaisu5	CHAR(6),
		Jyo17Chakukaisu6	CHAR(6),
		Jyo18Chakukaisu1	CHAR(6),
		Jyo18Chakukaisu2	CHAR(6),
		Jyo18Chakukaisu3	CHAR(6),
		Jyo18Chakukaisu4	CHAR(6),
		Jyo18Chakukaisu5	CHAR(6),
		Jyo18Chakukaisu6	CHAR(6),
		Jyo19Chakukaisu1	CHAR(6),
		Jyo19Chakukaisu2	CHAR(6),
		Jyo19Chakukaisu3	CHAR(6),
		Jyo19Chakukaisu4	CHAR(6),
		Jyo19Chakukaisu5	CHAR(6),
		Jyo19Chakukaisu6	CHAR(6),
		Jyo20Chakukaisu1	CHAR(6),
		Jyo20Chakukaisu2	CHAR(6),
		Jyo20Chakukaisu3	CHAR(6),
		Jyo20Chakukaisu4	CHAR(6),
		Jyo20Chakukaisu5	CHAR(6),
		Jyo20Chakukaisu6	CHAR(6),
		Kyori1Chakukaisu1	CHAR(6),
		Kyori1Chakukaisu2	CHAR(6),
		Kyori1Chakukaisu3	CHAR(6),
		Kyori1Chakukaisu4	CHAR(6),
		Kyori1Chakukaisu5	CHAR(6),
		Kyori1Chakukaisu6	CHAR(6),
		Kyori2Chakukaisu1	CHAR(6),
		Kyori2Chakukaisu2	CHAR(6),
		Kyori2Chakukaisu3	CHAR(6),
		Kyori2Chakukaisu4	CHAR(6),
		Kyori2Chakukaisu5	CHAR(6),
		Kyori2Chakukaisu6	CHAR(6),
		Kyori3Chakukaisu1	CHAR(6),
		Kyori3Chakukaisu2	CHAR(6),
		Kyori3Chakukaisu3	CHAR(6),
		Kyori3Chakukaisu4	CHAR(6),
		Kyori3Chakukaisu5	CHAR(6),
		Kyori3Chakukaisu6	CHAR(6),
		Kyori4Chakukaisu1	CHAR(6),
		Kyori4Chakukaisu2	CHAR(6),
		Kyori4Chakukaisu3	CHAR(6),
		Kyori4Chakukaisu4	CHAR(6),
		Kyori4Chakukaisu5	CHAR(6),
		Kyori4Chakukaisu6	CHAR(6),
		Kyori5Chakukaisu1	CHAR(6),
		Kyori5Chakukaisu2	CHAR(6),
		Kyori5Chakukaisu3	CHAR(6),
		Kyori5Chakukaisu4	CHAR(6),
		Kyori5Chakukaisu5	CHAR(6),
		Kyori5Chakukaisu6	CHAR(6),
		Kyori6Chakukaisu1	CHAR(6),
		Kyori6Chakukaisu2	CHAR(6),
		Kyori6Chakukaisu3	CHAR(6),
		Kyori6Chakukaisu4	CHAR(6),
		Kyori6Chakukaisu5	CHAR(6),
		Kyori6Chakukaisu6	CHAR(6)
);

CREATE TABLE MINING (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		MakeHM				CHAR(4),
		Umaban1				CHAR(2),
		DMTime1				CHAR(5),
		DMGosaP1			CHAR(4),
		DMGosaM1			CHAR(4),
		Umaban2				CHAR(2),
		DMTime2				CHAR(5),
		DMGosaP2			CHAR(4),
		DMGosaM2			CHAR(4),
		Umaban3				CHAR(2),
		DMTime3				CHAR(5),
		DMGosaP3			CHAR(4),
		DMGosaM3			CHAR(4),
		Umaban4				CHAR(2),
		DMTime4				CHAR(5),
		DMGosaP4			CHAR(4),
		DMGosaM4			CHAR(4),
		Umaban5				CHAR(2),
		DMTime5				CHAR(5),
		DMGosaP5			CHAR(4),
		DMGosaM5			CHAR(4),
		Umaban6				CHAR(2),
		DMTime6				CHAR(5),
		DMGosaP6			CHAR(4),
		DMGosaM6			CHAR(4),
		Umaban7				CHAR(2),
		DMTime7				CHAR(5),
		DMGosaP7			CHAR(4),
		DMGosaM7			CHAR(4),
		Umaban8				CHAR(2),
		DMTime8				CHAR(5),
		DMGosaP8			CHAR(4),
		DMGosaM8			CHAR(4),
		Umaban9				CHAR(2),
		DMTime9				CHAR(5),
		DMGosaP9			CHAR(4),
		DMGosaM9			CHAR(4),
		Umaban10			CHAR(2),
		DMTime10			CHAR(5),
		DMGosaP10			CHAR(4),
		DMGosaM10			CHAR(4),
		Umaban11			CHAR(2),
		DMTime11			CHAR(5),
		DMGosaP11			CHAR(4),
		DMGosaM11			CHAR(4),
		Umaban12			CHAR(2),
		DMTime12			CHAR(5),
		DMGosaP12			CHAR(4),
		DMGosaM12			CHAR(4),
		Umaban13			CHAR(2),
		DMTime13			CHAR(5),
		DMGosaP13			CHAR(4),
		DMGosaM13			CHAR(4),
		Umaban14			CHAR(2),
		DMTime14			CHAR(5),
		DMGosaP14			CHAR(4),
		DMGosaM14			CHAR(4),
		Umaban15			CHAR(2),
		DMTime15			CHAR(5),
		DMGosaP15			CHAR(4),
		DMGosaM15			CHAR(4),
		Umaban16			CHAR(2),
		DMTime16			CHAR(5),
		DMGosaP16			CHAR(4),
		DMGosaM16			CHAR(4),
		Umaban17			CHAR(2),
		DMTime17			CHAR(5),
		DMGosaP17			CHAR(4),
		DMGosaM17			CHAR(4),
		Umaban18			CHAR(2),
		DMTime18			CHAR(5),
		DMGosaP18			CHAR(4),
		DMGosaM18			CHAR(4)
);

CREATE TABLE ODDS_SANREN (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum,Kumi),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		Kumi				CHAR(6),
		Odds				CHAR(6),
		Ninki				CHAR(3)
);

CREATE TABLE ODDS_SANREN_HEAD (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		HappyoTime			CHAR(8),
		TorokuTosu			CHAR(2),
		SyussoTosu			CHAR(2),
		SanrenFlag			CHAR(1),
		TotalHyosuSanren	CHAR(11)
);

CREATE TABLE ODDS_SANRENTAN (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum,Kumi),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		Kumi				CHAR(6),
		Odds				CHAR(7),
		Ninki				CHAR(4)
);

CREATE TABLE ODDS_SANRENTAN_HEAD (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		HappyoTime			CHAR(8),
		TorokuTosu			CHAR(2),
		SyussoTosu			CHAR(2),
		SanrentanFlag		CHAR(1),
		TotalHyosuSanrentan	CHAR(11)
);

CREATE TABLE ODDS_TANPUKU (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum,Umaban),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		Umaban				CHAR(2),
		TanOdds				CHAR(4),
		TanNinki			CHAR(2),
		FukuOddsLow			CHAR(4),
		FukuOddsHigh		CHAR(4),
		FukuNinki			CHAR(2)
);

CREATE TABLE ODDS_TANPUKUWAKU_HEAD (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		HappyoTime			CHAR(8),
		TorokuTosu			CHAR(2),
		SyussoTosu			CHAR(2),
		TansyoFlag			CHAR(1),
		FukusyoFlag			CHAR(1),
		WakurenFlag			CHAR(1),
		FukuChakuBaraiKey	CHAR(1),
		TotalHyosuTansyo	CHAR(11),
		TotalHyosuFukusyo	CHAR(11),
		TotalHyosuWakuren	CHAR(11)
);

CREATE TABLE ODDS_UMAREN (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum,Kumi),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		Kumi				CHAR(4),
		Odds				CHAR(6),
		Ninki				CHAR(3)
);

CREATE TABLE ODDS_UMAREN_HEAD (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		HappyoTime			CHAR(8),
		TorokuTosu			CHAR(2),
		SyussoTosu			CHAR(2),
		UmarenFlag			CHAR(1),
		TotalHyosuUmaren	CHAR(11)
);

CREATE TABLE ODDS_UMATAN (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum,Kumi),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		Kumi				CHAR(4),
		Odds				CHAR(6),
		Ninki				CHAR(3)
);

CREATE TABLE ODDS_UMATAN_HEAD (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		HappyoTime			CHAR(8),
		TorokuTosu			CHAR(2),
		SyussoTosu			CHAR(2),
		UmatanFlag			CHAR(1),
		TotalHyosuUmatan	CHAR(11)
);

CREATE TABLE ODDS_WAKU (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum,Kumi),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		Kumi				CHAR(2),
		Odds				CHAR(5),
		Ninki				CHAR(2)
);

CREATE TABLE ODDS_WIDE (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum,Kumi),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		Kumi				CHAR(4),
		OddsLow				CHAR(5),
		OddsHigh			CHAR(5),
		Ninki				CHAR(3)
);

CREATE TABLE ODDS_WIDE_HEAD (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		HappyoTime			CHAR(8),
		TorokuTosu			CHAR(2),
		SyussoTosu			CHAR(2),
		WideFlag			CHAR(1),
		TotalHyosuWide		CHAR(11)
);

CREATE TABLE RACE (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		YoubiCD				CHAR(1),
		TokuNum				CHAR(4),
		Hondai				CHAR(60),
		Fukudai				CHAR(60),
		Kakko				CHAR(60),
		HondaiEng			CHAR(120),
		FukudaiEng			CHAR(120),
		KakkoEng			CHAR(120),
		Ryakusyo10			CHAR(20),
		Ryakusyo6			CHAR(12),
		Ryakusyo3			CHAR(6),
		Kubun				CHAR(1),
		Nkai				CHAR(3),
		GradeCD				CHAR(1),
		GradeCDBefore		CHAR(1),
		SyubetuCD			CHAR(2),
		KigoCD				CHAR(3),
		JyuryoCD			CHAR(1),
		JyokenCD1			CHAR(3),
		JyokenCD2			CHAR(3),
		JyokenCD3			CHAR(3),
		JyokenCD4			CHAR(3),
		JyokenCD5			CHAR(3),
		JyokenName			CHAR(60),
		Kyori				CHAR(4),
		KyoriBefore			CHAR(4),
		TrackCD				CHAR(2),
		TrackCDBefore		CHAR(2),
		CourseKubunCD		CHAR(2),
		CourseKubunCDBefore	CHAR(2),
		Honsyokin1			CHAR(8),
		Honsyokin2			CHAR(8),
		Honsyokin3			CHAR(8),
		Honsyokin4			CHAR(8),
		Honsyokin5			CHAR(8),
		Honsyokin6			CHAR(8),
		Honsyokin7			CHAR(8),
		HonsyokinBefore1	CHAR(8),
		HonsyokinBefore2	CHAR(8),
		HonsyokinBefore3	CHAR(8),
		HonsyokinBefore4	CHAR(8),
		HonsyokinBefore5	CHAR(8),
		Fukasyokin1			CHAR(8),
		Fukasyokin2			CHAR(8),
		Fukasyokin3			CHAR(8),
		Fukasyokin4			CHAR(8),
		Fukasyokin5			CHAR(8),
		FukasyokinBefore1	CHAR(8),
		FukasyokinBefore2	CHAR(8),
		FukasyokinBefore3	CHAR(8),
		HassoTime			CHAR(4),
		HassoTimeBefore		CHAR(4),
		TorokuTosu			CHAR(2),
		SyussoTosu			CHAR(2),
		NyusenTosu			CHAR(2),
		TenkoCD				CHAR(1),
		SibaBabaCD			CHAR(1),
		DirtBabaCD			CHAR(1),
		LapTime1			CHAR(3),
		LapTime2			CHAR(3),
		LapTime3			CHAR(3),
		LapTime4			CHAR(3),
		LapTime5			CHAR(3),
		LapTime6			CHAR(3),
		LapTime7			CHAR(3),
		LapTime8			CHAR(3),
		LapTime9			CHAR(3),
		LapTime10			CHAR(3),
		LapTime11			CHAR(3),
		LapTime12			CHAR(3),
		LapTime13			CHAR(3),
		LapTime14			CHAR(3),
		LapTime15			CHAR(3),
		LapTime16			CHAR(3),
		LapTime17			CHAR(3),
		LapTime18			CHAR(3),
		LapTime19			CHAR(3),
		LapTime20			CHAR(3),
		LapTime21			CHAR(3),
		LapTime22			CHAR(3),
		LapTime23			CHAR(3),
		LapTime24			CHAR(3),
		LapTime25			CHAR(3),
		SyogaiMileTime		CHAR(4),
		HaronTimeS3			CHAR(3),
		HaronTimeS4			CHAR(3),
		HaronTimeL3			CHAR(3),
		HaronTimeL4			CHAR(3),
		Corner1				CHAR(1),
		Syukaisu1			CHAR(1),
		Jyuni1				CHAR(70),
		Corner2				CHAR(1),
		Syukaisu2			CHAR(1),
		Jyuni2				CHAR(70),
		Corner3				CHAR(1),
		Syukaisu3			CHAR(1),
		Jyuni3				CHAR(70),
		Corner4				CHAR(1),
		Syukaisu4			CHAR(1),
		Jyuni4				CHAR(70),
		RecordUpKubun		CHAR(1)
);

CREATE TABLE RECORD (
	PRIMARY KEY (RecInfoKubun,Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum,TokuNum,SyubetuCD_TrackCD,Kyori),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		RecInfoKubun		CHAR(1),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		TokuNum				CHAR(4),
		Hondai				CHAR(60),
		GradeCD				CHAR(1),
		SyubetuCD_TrackCD	CHAR(4),
		Kyori				CHAR(4),
		RecKubun			CHAR(1),
		RecTime				CHAR(4),
		TenkoCD				CHAR(1),
		SibaBabaCD			CHAR(1),
		DirtBabaCD			CHAR(1),
		RecUmaKettoNum1		CHAR(10),
		RecUmaBamei1		CHAR(36),
		RecUmaUmaKigoCD1	CHAR(2),
		RecUmaSexCD1		CHAR(1),
		RecUmaChokyosiCode1	CHAR(5),
		RecUmaChokyosiName1	CHAR(34),
		RecUmaFutan1		CHAR(3),
		RecUmaKisyuCode1	CHAR(5),
		RecUmaKisyuName1	CHAR(34),
		RecUmaKettoNum2		CHAR(10),
		RecUmaBamei2		CHAR(36),
		RecUmaUmaKigoCD2	CHAR(2),
		RecUmaSexCD2        CHAR(1),
		RecUmaChokyosiCode2	CHAR(5),
		RecUmaChokyosiName2	CHAR(34),
		RecUmaFutan2		CHAR(3),
		RecUmaKisyuCode2	CHAR(5),
		RecUmaKisyuName2	CHAR(34),
		RecUmaKettoNum3		CHAR(10),
		RecUmaBamei3		CHAR(36),
		RecUmaUmaKigoCD3	CHAR(2),
		RecUmaSexCD3		CHAR(1),
		RecUmaChokyosiCode3	CHAR(5),
		RecUmaChokyosiName3	CHAR(34),
		RecUmaFutan3		CHAR(3),
		RecUmaKisyuCode3	CHAR(5),
		RecUmaKisyuName3	CHAR(34)
);

CREATE TABLE SALE (
	PRIMARY KEY (KettoNum,SaleCode,FromDate),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		KettoNum			CHAR(10),
		HansyokuFNum		CHAR(8),
		HansyokuMNum		CHAR(8),
		BirthYear			CHAR(4),
		SaleCode			CHAR(6),
		SaleHostName		CHAR(40),
		SaleName			CHAR(80),
		FromDate			CHAR(8),
		ToDate				CHAR(8),
		Barei				CHAR(1),
		Price				CHAR(10)
);

CREATE TABLE SANKU (
	PRIMARY KEY (KettoNum),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		KettoNum			CHAR(10),
		BirthDate			CHAR(8),
		SexCD				CHAR(1),
		HinsyuCD			CHAR(1),
		KeiroCD				CHAR(2),
		SankuMochiKubun		CHAR(1),
		ImportYear			CHAR(4),
		BreederCode			CHAR(6),
		SanchiName			CHAR(20),
		FNum				CHAR(8),
		MNum				CHAR(8),
		FFNum				CHAR(8),
		FMNum				CHAR(8),
		MFNum				CHAR(8),
		MMNum				CHAR(8),
		FFFNum				CHAR(8),
		FFMNum				CHAR(8),
		FMFNum				CHAR(8),
		FMMNum				CHAR(8),
		MFFNum				CHAR(8),
		MFMNum				CHAR(8),
		MMFNum				CHAR(8),
		MMMNum				CHAR(8)
);

CREATE TABLE SCHEDULE (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		YoubiCD				CHAR(1),
		Jyusyo1TokuNum		CHAR(4),
		Jyusyo1Hondai		CHAR(60),
		Jyusyo1Ryakusyo10	CHAR(20),
		Jyusyo1Ryakusyo6	CHAR(12),
		Jyusyo1Ryakusyo3	CHAR(6),
		Jyusyo1Nkai			CHAR(3),
		Jyusyo1GradeCD		CHAR(1),
		Jyusyo1SyubetuCD	CHAR(2),
		Jyusyo1KigoCD		CHAR(3),
		Jyusyo1JyuryoCD		CHAR(1),
		Jyusyo1Kyori		CHAR(4),
		Jyusyo1TrackCD		CHAR(2),
		Jyusyo2TokuNum		CHAR(4),
		Jyusyo2Hondai		CHAR(60),
		Jyusyo2Ryakusyo10	CHAR(20),
		Jyusyo2Ryakusyo6	CHAR(12),
		Jyusyo2Ryakusyo3	CHAR(6),
		Jyusyo2Nkai			CHAR(3),
		Jyusyo2GradeCD		CHAR(1),
		Jyusyo2SyubetuCD	CHAR(2),
		Jyusyo2KigoCD		CHAR(3),
		Jyusyo2JyuryoCD		CHAR(1),
		Jyusyo2Kyori		CHAR(4),
		Jyusyo2TrackCD		CHAR(2),
		Jyusyo3TokuNum		CHAR(4),
		Jyusyo3Hondai		CHAR(60),
		Jyusyo3Ryakusyo10	CHAR(20),
		Jyusyo3Ryakusyo6	CHAR(12),
		Jyusyo3Ryakusyo3	CHAR(6),
		Jyusyo3Nkai			CHAR(3),
		Jyusyo3GradeCD		CHAR(1),
		Jyusyo3SyubetuCD	CHAR(2),
		Jyusyo3KigoCD		CHAR(3),
		Jyusyo3JyuryoCD		CHAR(1),
		Jyusyo3Kyori		CHAR(4),
		Jyusyo3TrackCD		CHAR(2)
);

CREATE TABLE SEISAN (
	PRIMARY KEY (BreederCode),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		BreederCode			CHAR(6),
		BreederName_Co		CHAR(70),
		BreederName			CHAR(70),
		BreederNameKana		CHAR(70),
		BreederNameEng		CHAR(168),
		Address				CHAR(20),
		H_SetYear			CHAR(4),
		H_HonSyokinTotal	CHAR(10),
		H_FukaSyokin		CHAR(10),
		H_ChakuKaisu1		CHAR(6),
		H_ChakuKaisu2		CHAR(6),
		H_ChakuKaisu3		CHAR(6),
		H_ChakuKaisu4		CHAR(6),
		H_ChakuKaisu5		CHAR(6),
		H_ChakuKaisu6		CHAR(6),
		R_SetYear			CHAR(4),
		R_HonSyokinTotal	CHAR(10),
		R_FukaSyokin		CHAR(10),
		R_ChakuKaisu1		CHAR(6),
		R_ChakuKaisu2		CHAR(6),
		R_ChakuKaisu3		CHAR(6),
		R_ChakuKaisu4		CHAR(6),
		R_ChakuKaisu5		CHAR(6),
		R_ChakuKaisu6		CHAR(6)
);

CREATE TABLE TAISENGATA_MINING (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		MakeHM				CHAR(4),
		Umaban1				CHAR(2),
		TMScore1			CHAR(4),
		Umaban2				CHAR(2),
		TMScore2			CHAR(4),
		Umaban3				CHAR(2),
		TMScore3			CHAR(4),
		Umaban4				CHAR(2),
		TMScore4			CHAR(4),
		Umaban5				CHAR(2),
		TMScore5			CHAR(4),
		Umaban6				CHAR(2),
		TMScore6			CHAR(4),
		Umaban7				CHAR(2),
		TMScore7			CHAR(4),
		Umaban8				CHAR(2),
		TMScore8			CHAR(4),
		Umaban9				CHAR(2),
		TMScore9			CHAR(4),
		Umaban10			CHAR(2),
		TMScore10			CHAR(4),
		Umaban11			CHAR(2),
		TMScore11			CHAR(4),
		Umaban12			CHAR(2),
		TMScore12			CHAR(4),
		Umaban13			CHAR(2),
		TMScore13			CHAR(4),
		Umaban14			CHAR(2),
		TMScore14			CHAR(4),
		Umaban15			CHAR(2),
		TMScore15			CHAR(4),
		Umaban16			CHAR(2),
		TMScore16			CHAR(4),
		Umaban17			CHAR(2),
		TMScore17			CHAR(4),
		Umaban18			CHAR(2),
		TMScore18			CHAR(4)
);

CREATE TABLE TENKO_BABA (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,HappyoTime,HenkoID),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		HappyoTime			CHAR(8),
		HenkoID				CHAR(1),
		AtoTenkoCD			CHAR(1),
		AtoSibaBabaCD		CHAR(1),
		AtoDirtBabaCD		CHAR(1),
		MaeTenkoCD			CHAR(1),
		MaeSibaBabaCD		CHAR(1),
		MaeDirtBabaCD		CHAR(1)
);

CREATE TABLE TOKU_RACE (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		YoubiCD				CHAR(1),
		TokuNum				CHAR(4),
		Hondai				CHAR(60),
		Fukudai				CHAR(60),
		Kakko				CHAR(60),
		HondaiEng			CHAR(120),
		FukudaiEng			CHAR(120),
		KakkoEng			CHAR(120),
		Ryakusyo10			CHAR(20),
		Ryakusyo6			CHAR(12),
		Ryakusyo3			CHAR(6),
		Kubun				CHAR(1),
		Nkai				CHAR(3),
		GradeCD				CHAR(1),
		SyubetuCD			CHAR(2),
		KigoCD				CHAR(3),
		JyuryoCD			CHAR(1),
		JyokenCD1			CHAR(3),
		JyokenCD2			CHAR(3),
		JyokenCD3			CHAR(3),
		JyokenCD4			CHAR(3),
		JyokenCD5			CHAR(3),
		Kyori				CHAR(4),
		TrackCD				CHAR(2),
		CourseKubunCD		CHAR(2),
		HandiDate			CHAR(8),
		TorokuTosu			CHAR(3)
);

CREATE TABLE TOKU (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum,Num),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		Num					CHAR(3),
		KettoNum			CHAR(10),
		Bamei				CHAR(36),
		UmaKigoCD			CHAR(2),
		SexCD				CHAR(1),
		TozaiCD				CHAR(1),
		ChokyosiCode		CHAR(5),
		ChokyosiRyakusyo	CHAR(8),
		Futan				CHAR(3),
		Koryu				CHAR(1)
);

CREATE TABLE TORIKESI_JYOGAI (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum,Umaban),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		HappyoTime			CHAR(8),
		Umaban				CHAR(2),
		Bamei				CHAR(36),
		JiyuKubun			CHAR(3)
);

CREATE TABLE UMA (
	PRIMARY KEY (KettoNum),
		RecordSpec				CHAR(2),
		DataKubun				CHAR(1),
		MakeDate				CHAR(8),
		KettoNum				CHAR(10),
		DelKubun				CHAR(1),
		RegDate					CHAR(8),
		DelDate					CHAR(8),
		BirthDate				CHAR(8),
		Bamei					CHAR(36),
		BameiKana				CHAR(36),
		BameiEng				CHAR(60),
		ZaikyuFlag				CHAR(1),
		Reserved				CHAR(19),
		UmaKigoCD				CHAR(2),
		SexCD					CHAR(1),
		HinsyuCD				CHAR(1),
		KeiroCD					CHAR(2),
		Ketto3InfoHansyokuNum1	CHAR(8),
		Ketto3InfoBamei1		CHAR(36),
		Ketto3InfoHansyokuNum2	CHAR(8),
		Ketto3InfoBamei2		CHAR(36),
		Ketto3InfoHansyokuNum3	CHAR(8),
		Ketto3InfoBamei3		CHAR(36),
		Ketto3InfoHansyokuNum4	CHAR(8),
		Ketto3InfoBamei4		CHAR(36),
		Ketto3InfoHansyokuNum5	CHAR(8),
		Ketto3InfoBamei5		CHAR(36),
		Ketto3InfoHansyokuNum6	CHAR(8),
		Ketto3InfoBamei6		CHAR(36),
		Ketto3InfoHansyokuNum7	CHAR(8),
		Ketto3InfoBamei7		CHAR(36),
		Ketto3InfoHansyokuNum8	CHAR(8),
		Ketto3InfoBamei8		CHAR(36),
		Ketto3InfoHansyokuNum9	CHAR(8),
		Ketto3InfoBamei9		CHAR(36),
		Ketto3InfoHansyokuNum10	CHAR(8),
		Ketto3InfoBamei10		CHAR(36),
		Ketto3InfoHansyokuNum11	CHAR(8),
		Ketto3InfoBamei11		CHAR(36),
		Ketto3InfoHansyokuNum12	CHAR(8),
		Ketto3InfoBamei12		CHAR(36),
		Ketto3InfoHansyokuNum13	CHAR(8),
		Ketto3InfoBamei13		CHAR(36),
		Ketto3InfoHansyokuNum14	CHAR(8),
		Ketto3InfoBamei14		CHAR(36),
		TozaiCD					CHAR(1),
		ChokyosiCode			CHAR(5),
		ChokyosiRyakusyo		CHAR(8),
		Syotai					CHAR(20),
		BreederCode				CHAR(6),
		BreederName				CHAR(70),
		SanchiName				CHAR(20),
		BanusiCode				CHAR(6),
		BanusiName				CHAR(64),
		RuikeiHonsyoHeiti		CHAR(9),
		RuikeiHonsyoSyogai		CHAR(9),
		RuikeiFukaHeichi		CHAR(9),
		RuikeiFukaSyogai		CHAR(9),
		RuikeiSyutokuHeichi		CHAR(9),
		RuikeiSyutokuSyogai		CHAR(9),
		SogoChakukaisu1			CHAR(3),
		SogoChakukaisu2			CHAR(3),
		SogoChakukaisu3			CHAR(3),
		SogoChakukaisu4			CHAR(3),
		SogoChakukaisu5			CHAR(3),
		SogoChakukaisu6			CHAR(3),
		ChuoChakukaisu1			CHAR(3),
		ChuoChakukaisu2			CHAR(3),
		ChuoChakukaisu3			CHAR(3),
		ChuoChakukaisu4			CHAR(3),
		ChuoChakukaisu5			CHAR(3),
		ChuoChakukaisu6			CHAR(3),
		Ba1Chakukaisu1			CHAR(3),
		Ba1Chakukaisu2			CHAR(3),
		Ba1Chakukaisu3			CHAR(3),
		Ba1Chakukaisu4			CHAR(3),
		Ba1Chakukaisu5			CHAR(3),
		Ba1Chakukaisu6			CHAR(3),
		Ba2Chakukaisu1			CHAR(3),
		Ba2Chakukaisu2			CHAR(3),
		Ba2Chakukaisu3			CHAR(3),
		Ba2Chakukaisu4			CHAR(3),
		Ba2Chakukaisu5			CHAR(3),
		Ba2Chakukaisu6			CHAR(3),
		Ba3Chakukaisu1			CHAR(3),
		Ba3Chakukaisu2			CHAR(3),
		Ba3Chakukaisu3			CHAR(3),
		Ba3Chakukaisu4			CHAR(3),
		Ba3Chakukaisu5			CHAR(3),
		Ba3Chakukaisu6			CHAR(3),
		Ba4Chakukaisu1			CHAR(3),
		Ba4Chakukaisu2			CHAR(3),
		Ba4Chakukaisu3			CHAR(3),
		Ba4Chakukaisu4			CHAR(3),
		Ba4Chakukaisu5			CHAR(3),
		Ba4Chakukaisu6			CHAR(3),
		Ba5Chakukaisu1			CHAR(3),
		Ba5Chakukaisu2			CHAR(3),
		Ba5Chakukaisu3			CHAR(3),
		Ba5Chakukaisu4			CHAR(3),
		Ba5Chakukaisu5			CHAR(3),
		Ba5Chakukaisu6			CHAR(3),
		Ba6Chakukaisu1			CHAR(3),
		Ba6Chakukaisu2			CHAR(3),
		Ba6Chakukaisu3			CHAR(3),
		Ba6Chakukaisu4			CHAR(3),
		Ba6Chakukaisu5			CHAR(3),
		Ba6Chakukaisu6			CHAR(3),
		Ba7Chakukaisu1			CHAR(3),
		Ba7Chakukaisu2			CHAR(3),
		Ba7Chakukaisu3			CHAR(3),
		Ba7Chakukaisu4			CHAR(3),
		Ba7Chakukaisu5			CHAR(3),
		Ba7Chakukaisu6			CHAR(3),
		Jyotai1Chakukaisu1		CHAR(3),
		Jyotai1Chakukaisu2		CHAR(3),
		Jyotai1Chakukaisu3		CHAR(3),
		Jyotai1Chakukaisu4		CHAR(3),
		Jyotai1Chakukaisu5		CHAR(3),
		Jyotai1Chakukaisu6		CHAR(3),
		Jyotai2Chakukaisu1		CHAR(3),
		Jyotai2Chakukaisu2		CHAR(3),
		Jyotai2Chakukaisu3		CHAR(3),
		Jyotai2Chakukaisu4		CHAR(3),
		Jyotai2Chakukaisu5		CHAR(3),
		Jyotai2Chakukaisu6		CHAR(3),
		Jyotai3Chakukaisu1		CHAR(3),
		Jyotai3Chakukaisu2		CHAR(3),
		Jyotai3Chakukaisu3		CHAR(3),
		Jyotai3Chakukaisu4		CHAR(3),
		Jyotai3Chakukaisu5		CHAR(3),
		Jyotai3Chakukaisu6		CHAR(3),
		Jyotai4Chakukaisu1		CHAR(3),
		Jyotai4Chakukaisu2		CHAR(3),
		Jyotai4Chakukaisu3		CHAR(3),
		Jyotai4Chakukaisu4		CHAR(3),
		Jyotai4Chakukaisu5		CHAR(3),
		Jyotai4Chakukaisu6		CHAR(3),
		Jyotai5Chakukaisu1		CHAR(3),
		Jyotai5Chakukaisu2		CHAR(3),
		Jyotai5Chakukaisu3		CHAR(3),
		Jyotai5Chakukaisu4		CHAR(3),
		Jyotai5Chakukaisu5		CHAR(3),
		Jyotai5Chakukaisu6		CHAR(3),
		Jyotai6Chakukaisu1		CHAR(3),
		Jyotai6Chakukaisu2		CHAR(3),
		Jyotai6Chakukaisu3		CHAR(3),
		Jyotai6Chakukaisu4		CHAR(3),
		Jyotai6Chakukaisu5		CHAR(3),
		Jyotai6Chakukaisu6		CHAR(3),
		Jyotai7Chakukaisu1		CHAR(3),
		Jyotai7Chakukaisu2		CHAR(3),
		Jyotai7Chakukaisu3		CHAR(3),
		Jyotai7Chakukaisu4		CHAR(3),
		Jyotai7Chakukaisu5		CHAR(3),
		Jyotai7Chakukaisu6		CHAR(3),
		Jyotai8Chakukaisu1		CHAR(3),
		Jyotai8Chakukaisu2		CHAR(3),
		Jyotai8Chakukaisu3		CHAR(3),
		Jyotai8Chakukaisu4		CHAR(3),
		Jyotai8Chakukaisu5		CHAR(3),
		Jyotai8Chakukaisu6		CHAR(3),
		Jyotai9Chakukaisu1		CHAR(3),
		Jyotai9Chakukaisu2		CHAR(3),
		Jyotai9Chakukaisu3		CHAR(3),
		Jyotai9Chakukaisu4		CHAR(3),
		Jyotai9Chakukaisu5		CHAR(3),
		Jyotai9Chakukaisu6		CHAR(3),
		Jyotai10Chakukaisu1		CHAR(3),
		Jyotai10Chakukaisu2		CHAR(3),
		Jyotai10Chakukaisu3		CHAR(3),
		Jyotai10Chakukaisu4		CHAR(3),
		Jyotai10Chakukaisu5		CHAR(3),
		Jyotai10Chakukaisu6		CHAR(3),
		Jyotai11Chakukaisu1		CHAR(3),
		Jyotai11Chakukaisu2		CHAR(3),
		Jyotai11Chakukaisu3		CHAR(3),
		Jyotai11Chakukaisu4		CHAR(3),
		Jyotai11Chakukaisu5		CHAR(3),
		Jyotai11Chakukaisu6		CHAR(3),
		Jyotai12Chakukaisu1		CHAR(3),
		Jyotai12Chakukaisu2		CHAR(3),
		Jyotai12Chakukaisu3		CHAR(3),
		Jyotai12Chakukaisu4		CHAR(3),
		Jyotai12Chakukaisu5		CHAR(3),
		Jyotai12Chakukaisu6		CHAR(3),
		Kyori1Chakukaisu1		CHAR(3),
		Kyori1Chakukaisu2		CHAR(3),
		Kyori1Chakukaisu3		CHAR(3),
		Kyori1Chakukaisu4		CHAR(3),
		Kyori1Chakukaisu5		CHAR(3),
		Kyori1Chakukaisu6		CHAR(3),
		Kyori2Chakukaisu1		CHAR(3),
		Kyori2Chakukaisu2		CHAR(3),
		Kyori2Chakukaisu3		CHAR(3),
		Kyori2Chakukaisu4		CHAR(3),
		Kyori2Chakukaisu5		CHAR(3),
		Kyori2Chakukaisu6		CHAR(3),
		Kyori3Chakukaisu1		CHAR(3),
		Kyori3Chakukaisu2		CHAR(3),
		Kyori3Chakukaisu3		CHAR(3),
		Kyori3Chakukaisu4		CHAR(3),
		Kyori3Chakukaisu5		CHAR(3),
		Kyori3Chakukaisu6		CHAR(3),
		Kyori4Chakukaisu1		CHAR(3),
		Kyori4Chakukaisu2		CHAR(3),
		Kyori4Chakukaisu3		CHAR(3),
		Kyori4Chakukaisu4		CHAR(3),
		Kyori4Chakukaisu5		CHAR(3),
		Kyori4Chakukaisu6		CHAR(3),
		Kyori5Chakukaisu1		CHAR(3),
		Kyori5Chakukaisu2		CHAR(3),
		Kyori5Chakukaisu3		CHAR(3),
		Kyori5Chakukaisu4		CHAR(3),
		Kyori5Chakukaisu5		CHAR(3),
		Kyori5Chakukaisu6		CHAR(3),
		Kyori6Chakukaisu1		CHAR(3),
		Kyori6Chakukaisu2		CHAR(3),
		Kyori6Chakukaisu3		CHAR(3),
		Kyori6Chakukaisu4		CHAR(3),
		Kyori6Chakukaisu5		CHAR(3),
		Kyori6Chakukaisu6		CHAR(3),
		Kyakusitu1				CHAR(3),
		Kyakusitu2				CHAR(3),
		Kyakusitu3				CHAR(3),
		Kyakusitu4				CHAR(3),
		RaceCount				CHAR(3)
);

CREATE TABLE UMA_RACE (
	PRIMARY KEY (Year,MonthDay,JyoCD,Kaiji,Nichiji,RaceNum,Umaban,KettoNum),
		RecordSpec			CHAR(2),
		DataKubun			CHAR(1),
		MakeDate			CHAR(8),
		Year				CHAR(4),
		MonthDay			CHAR(4),
		JyoCD				CHAR(2),
		Kaiji				CHAR(2),
		Nichiji				CHAR(2),
		RaceNum				CHAR(2),
		Wakuban				CHAR(1),
		Umaban				CHAR(2),
		KettoNum			CHAR(10),
		Bamei				CHAR(36),
		UmaKigoCD			CHAR(2),
		SexCD				CHAR(1),
		HinsyuCD			CHAR(1),
		KeiroCD				CHAR(2),
		Barei				CHAR(2),
		TozaiCD				CHAR(1),
		ChokyosiCode		CHAR(5),
		ChokyosiRyakusyo	CHAR(8),
		BanusiCode			CHAR(6),
		BanusiName			CHAR(64),
		Fukusyoku			CHAR(60),
		reserved1			CHAR(60),
		Futan				CHAR(3),
		FutanBefore			CHAR(3),
		Blinker				CHAR(1),
		reserved2			CHAR(1),
		KisyuCode			CHAR(5),
		KisyuCodeBefore		CHAR(5),
		KisyuRyakusyo		CHAR(8),
		KisyuRyakusyoBefore	CHAR(8),
		MinaraiCD			CHAR(1),
		MinaraiCDBefore		CHAR(1),
		BaTaijyu			CHAR(3),
		ZogenFugo			CHAR(1),
		ZogenSa				CHAR(3),
		IJyoCD				CHAR(1),
		NyusenJyuni			CHAR(2),
		KakuteiJyuni		CHAR(2),
		DochakuKubun		CHAR(1),
		DochakuTosu			CHAR(1),
		Time				CHAR(4),
		ChakusaCD			CHAR(3),
		ChakusaCDP			CHAR(3),
		ChakusaCDPP			CHAR(3),
		Jyuni1c				CHAR(2),
		Jyuni2c				CHAR(2),
		Jyuni3c				CHAR(2),
		Jyuni4c				CHAR(2),
		Odds				CHAR(4),
		Ninki				CHAR(2),
		Honsyokin			CHAR(8),
		Fukasyokin			CHAR(8),
		reserved3			CHAR(3),
		reserved4			CHAR(3),
		HaronTimeL4			CHAR(3),
		HaronTimeL3			CHAR(3),
		KettoNum1			CHAR(10),
		Bamei1				CHAR(36),
		KettoNum2			CHAR(10),
		Bamei2				CHAR(36),
		KettoNum3			CHAR(10),
		Bamei3				CHAR(36),
		TimeDiff			CHAR(4),
		RecordUpKubun		CHAR(1),
		DMKubun				CHAR(1),
		DMTime				CHAR(5),
		DMGosaP				CHAR(4),
		DMGosaM				CHAR(4),
		DMJyuni				CHAR(2),
		KyakusituKubun		CHAR(1)
);

